/*
 * OtroCampoVacioParaValordelCampo.java
 *
 * Created on 22 de marzo de 2007, 10:59 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoVacioParaValordelCampo extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[1])
				.intValue()];

		if (getParams()[0].equals(field)
				&& (otroCampo == null || otroCampo.length() == 0)) {
			return true;
		}

		return false;
	}

}
